Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

List Company Expenses GETList Incomplete Reasons GETList Company Managers GETList Company Networks GETList Site Revisit Reasons GETList Company Tags GETCreate Company Tag POST
ConfigurationCompany

List Site Revisit Reasons


Retrieve available reasons that providers and your company can select when entering revisit and job incomplete details.

GET
/api/rest/v2/company/{company_id}/site-revisit-reasons

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

company_id*integer

Company ID

Query Parameters

action_type*string

Type of action to filter reasons by

Value in"all" | "job_status" | "revisit"
curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/company/0/site-revisit-reasons?action_type=all"
{
  "results": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

List Company Networks GET

Previous Page

List Company Tags GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/company/0/site-revisit-reasons?action_type=all"